### Virtual Method

# GObject ParamSpec value_set_default

#### Declaration

    void
    value_set_default (
      GParamSpec* pspec,
      GValue* value
    )

#### Description

Resets a `value` to the default value for this type (recommended, the default is g_value_reset()), see g_param_value_set_default().

#### Parameters

`value`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.